Package com.independentsoft.office.drawing

# Enum Class VerticalTextType

java.lang.Object
java.lang.Enum<VerticalTextType>
com.independentsoft.office.drawing.VerticalTextType

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalTextType>`, `Constable`

public enum VerticalTextType extends Enum<VerticalTextType>
The Enum VerticalTextType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EAST_ASIAN_VERTICAL`
  `HORIZONTAL`
  `MONGOLIAN_VERTICAL`
  `NONE`
  `VERTICAL`
  `VERTICAL_270`
  `WORD_ART_VERTICAL`
  `WORD_ART_VERTICAL_RIGHT_TO_LEFT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalTextType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalTextType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EAST_ASIAN_VERTICAL

    public static final VerticalTextType EAST_ASIAN_VERTICAL

  - ### HORIZONTAL

    public static final VerticalTextType HORIZONTAL

  - ### MONGOLIAN_VERTICAL

    public static final VerticalTextType MONGOLIAN_VERTICAL

  - ### VERTICAL

    public static final VerticalTextType VERTICAL

  - ### VERTICAL_270

    public static final VerticalTextType VERTICAL_270

  - ### WORD_ART_VERTICAL

    public static final VerticalTextType WORD_ART_VERTICAL

  - ### WORD_ART_VERTICAL_RIGHT_TO_LEFT

    public static final VerticalTextType WORD_ART_VERTICAL_RIGHT_TO_LEFT

  - ### NONE

    public static final VerticalTextType NONE

- ## Method Details

  - ### values

    public static VerticalTextType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalTextType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null